Bug 130325

Summary: Operator stretching: use italic correction for large operators
Product: WebKit Reporter: Frédéric Wang (:fredw) <fred.wang>
Component: MathMLAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: alex, cfleizach, mrobinson
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
URL: http://lists.w3.org/Archives/Public/www-math/2014Apr/att-0012/00-part
Bug Depends on: 130324, 153918, 156572    
Bug Blocks: 122297    
Attachments:
Description Flags
WIP Patch
none
WIP Patch
none
Patch
none
Patch none

Description Frédéric Wang (:fredw) 2014-03-17 00:15:26 PDT
Fourth step of attachment 226844 [details].

We need to use italic correction for correct placement scripts attached to displaystyle operators.

The special rendering added by attachment 226844 [details] is not updated after dynamic change, though.
Comment 1 Frédéric Wang (:fredw) 2014-03-17 06:26:29 PDT
Created attachment 226906 [details]
WIP Patch
Comment 2 Frédéric Wang (:fredw) 2014-03-21 05:50:25 PDT
Created attachment 227421 [details]
WIP Patch
Comment 3 Frédéric Wang (:fredw) 2014-04-08 08:06:19 PDT
Created attachment 228837 [details]
Patch
Comment 4 Frédéric Wang (:fredw) 2014-06-05 12:53:51 PDT
Created attachment 232575 [details]
Patch

Updated patch.

This still does not work very well. With the current setup with anonymous box, I suspect we would need to embed the subscript inside yet another anonymous box, so that we can attach a negative margin-start. That would make the handling of tree modification even more complicated. There is probably a better solution, if we refactor the layout code to position boxes more easily. For now, I'm unassigning myself from this bug.
Comment 5 Frédéric Wang (:fredw) 2016-02-05 06:03:38 PST
This issue is fixed on Alex's MathMLLayout branch, after the RenderMathMLScripts refactoring.
Comment 6 Frédéric Wang (:fredw) 2016-04-18 07:50:20 PDT
Fixed by the patch for bug 153918.